//create the window
exports.linea5 = function(navController) {
var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Mapa',
    backgroundColor: '#000',
});
   
   var mapview = Titanium.Map.createView({
	top: 5,
	height: 650,
	mapType: Titanium.Map.STANDARD_TYPE,
	region:{
		latitude: 19.48977084487796, 
		longitude: -99.15602604808913, 
		latitudeDelta:0.5, 
		longitudeDelta:0.5},
	animate: true,
	regionFit: true,
	userLocation: true,
	zoom: 20
});

win1.add(mapview);

var annotation = Titanium.Map.createAnnotation({
	latitude: 19.415359,
    longitude: -99.072207,
	title: 'Pantitlan',
	image: 'linea5.png',
	subtitle: 'Correspondencia: L1, L9, LA'
});

var annotation2 = Titanium.Map.createAnnotation({
	latitude: 19.424091,
    longitude: -99.087421,
	title: 'Hangares',
	//subtitle:  'Correspondencia: L9',
	image: 'linea5.png',
    
});

var annotation3 = Titanium.Map.createAnnotation({
	latitude: 19.433825,
    longitude: -99.087689,
	title: 'Terminal Aerea',
	image: 'linea5.png',
});

var annotation4 = Titanium.Map.createAnnotation({
	latitude: 19.445675,
    longitude: -99.087266,
	title: 'Oceania',
	image: 'linea5.png',
	subtitle: 'Correspondencia: LB'
});

var annotation5 = Titanium.Map.createAnnotation({
	latitude: 19.451196,
    longitude: -99.096358,
	title: 'Aragon',
	image: 'linea5.png',
	//subtitle: 'Correspondencia: LB'
});

var annotation6 = Titanium.Map.createAnnotation({
	latitude: 19.451408,
    longitude: -99.105413,
	title: 'Eduardo Molina',
	image: 'linea5.png'
});

var annotation7 = Titanium.Map.createAnnotation({
	latitude: 19.458054,
    longitude: -99.113905,
	title: 'Consulado',
	image: 'linea5.png',
	subtitle: 'Correspondencia: L4'
});

var annotation8 = Titanium.Map.createAnnotation({
	latitude: 19.458798,
    longitude: -99.119323,
	title: 'Villa Gomez',
	image: 'linea5.png'
});


var annotation9 = Titanium.Map.createAnnotation({
	latitude: 19.463406,
    longitude: -99.130797,
	title: 'Misterios',
	image: 'linea5.png'
});

var annotation10 = Titanium.Map.createAnnotation({
	latitude: 19.468503,
    longitude: -99.139730,
	title: 'La Raza',
	image: 'linea5.png',
	subtitle: 'Correspondencia: L3'
});

var annotation11 = Titanium.Map.createAnnotation({
	latitude: 19.479095,
    longitude: -99.140700,
	title: 'Autobuses del Norte',
	image: 'linea5.png'
});

var annotation12 = Titanium.Map.createAnnotation({
	latitude: 19.489204,
    longitude: -99.144742,
	title: 'Instituto del Petroleo',
	image: 'linea5.png',
	subtitle: 'Correspondencia: L6'
});

var annotation13 = Titanium.Map.createAnnotation({
	latitude: 19.500780,
    longitude: -99.149133,
	title: 'Politecnico',
	image: 'linea5.png'
});




//Agregamos los puntos del GPS
mapview.addRoutePointLight(annotation);
mapview.addRoutePointLight(annotation2);
mapview.addRoutePointLight(annotation3);
mapview.addRoutePointLight(annotation4);
mapview.addRoutePointLight(annotation5);
mapview.addRoutePointLight(annotation6);
mapview.addRoutePointLight(annotation7);
mapview.addRoutePointLight(annotation8);
mapview.addRoutePointLight(annotation9);
mapview.addRoutePointLight(annotation10);
mapview.addRoutePointLight(annotation11);
mapview.addRoutePointLight(annotation12);
mapview.addRoutePointLight(annotation13);
mapview.updateRoute();
    
    //Trazamos las lineas
mapview.addAnnotationLight(annotation);
mapview.addAnnotationLight(annotation2);
mapview.addAnnotationLight(annotation3);
mapview.addAnnotationLight(annotation4);
mapview.addAnnotationLight(annotation5);
mapview.addAnnotationLight(annotation6);
mapview.addAnnotationLight(annotation7);
mapview.addAnnotationLight(annotation8);
mapview.addAnnotationLight(annotation9);
mapview.addAnnotationLight(annotation10);
mapview.addAnnotationLight(annotation11);
mapview.addAnnotationLight(annotation12);
mapview.addAnnotationLight(annotation13);
mapview.updateAnnotations();
    
   
    //win1.open();
    

return win1;
};