exports.linea12 = function(navController) {

var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Linea 12',
    backgroundColor: '#000',
    backgroundImage: 'b.jpg'
});


var etiqueta1 = Ti.UI.createLabel({
	top: 10,
	left: 10,
	text:'Origen: Tlahuac',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    //leftimage: 'linea.png'
});
win1.add(etiqueta1);

var etiqueta2 = Ti.UI.createLabel({
	top: 50,
	left: 10,
	text:'Destino : Mixcoac',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    leftimage: 'linea.png'
});
win1.add(etiqueta1);
win1.add(etiqueta2)

win1.activity.onCreateOptionsMenu = function(e) {
		var menu = e.menu;
		
		var m1 = menu.add({ title : 'Cerrar Ventana' });
		m1.addEventListener('click', function(e) {
			win1.close();
		});
	};

win1.activity.onPrepareOptionsMenu = function(e) {
		var menu = e.menu;
		
		var mi = menu.findItem(2);
		if (mi == null) {
			mi = menu.add({
				itemId : 2,
				order : 1,
				title : 'Mostrar Mapa Completo'
			});
			mi.addEventListener('click', function(e) {
				
				var linea12 = require('mapas/linea12').linea12;
				navController.open(new linea12(navController));
			});
		}
	};




var data = [
{title:"Tlahuac", color: '#000', leftImage: 'lineac.png', font:{fontSize:20}},
{title:"Tlaltenco", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Zapotitlan",color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Nopalera", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Olivos", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Tezonco", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Periferico Oriente", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Calle 11", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Lomas Estrella", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"San Andres Tomatlan", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Culhuacan", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Atlalilco", color: '#000', leftImage: 'lineac.png', rightImage: 'linea8.png', font: {fontSize:20}},
{title:"Mexicaltzingo", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Ermita", color: '#000', leftImage: 'lineac.png', rightImage: 'linea2.png', font: {fontSize:20}},
{title:"Eje Central", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Parque de los Venados", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Zapata", leftImage: 'lineac.png', color: '#000', rightImage: 'linea3.png', font: {fontSize:20}},
{title:"Hospital 20 de Noviembre", color: '#000', leftImage: 'lineac.png', font: {fontSize:20}},
{title:"Insurgentes Sur", leftImage: 'lineac.png', color: '#000', font: {fontSize:20}},
{title:"Mixcoac", leftImage: 'lineac.png', rightImage: 'linea7.png', color: '#000', font: {fontSize:20}},

];

var table = Titanium.UI.createTableView(
	{data:data,
	 left: 10,
	 top: 80
	}
	//left: '20'
);

table.addEventListener("click", function(e){
	switch(e.index){
		case 0:
			var tlahuac = require('estaciones/tlahuac').tlahuac;
			navController.open(new tlahuac(navController));
			break;
		case 1:
			var tlaltenco = require('estaciones/tlaltenco').tlaltenco;
			navController.open(new tlaltenco(navController));
			break;
		case 2:
			var zapotitlan = require('estaciones/zapotitlan').zapotitlan;
			navController.open(new zapotitlan(navController));
			break;
		case 3:
			var nopalera = require('estaciones/nopalera').nopalera;
			navController.open(new nopalera(navController));
			break;
		case 4:
			var olivos = require('estaciones/olivos').olivos;
			navController.open(new olivos(navController));
			break;
		case 5:
			var tezonco = require('estaciones/tezonco').tezonco;
			navController.open(new tezonco(navController));
			break;
		case 6:
			var periferico = require('estaciones/periferico').periferico;
			navController.open(new periferico(navController));
			break;
		case 7:
			var calle11 = require('estaciones/calle11').calle11;
			navController.open(new calle11(navController));
			break;
		case 8:
			var lomasestrella = require('estaciones/lomasestrella').lomasestrella;
			navController.open(new lomasestrella(navController));
			break;
		case 9:
			var sanandrestomatlan = require('estaciones/sanandrestomatlan').sanandrestomatlan;
			navController.open(new sanandrestomatlan(navController));
			break;
		case 10:
			var culhuacan = require('estaciones/culhuacan').culhuacan;
			navController.open(new culhuacan(navController));
			break;
		case 11:
			var atlalilco = require('estaciones/atlalilco').atlalilco;
			navController.open(new atlalilco(navController));
			break;
		case 12:
			var mexicaltzingo = require('estaciones/mexicaltzingo').mexicaltzingo;
			navController.open(new mexicaltzingo(navController));
			break;
		case 13:
			var ermita = require('estaciones/ermita').ermita;
			navController.open(new ermita(navController));
			break;
		case 14:
			var ejecentral = require('estaciones/ejecentral').ejecentral;
			navController.open(new ejecentral(navController));
			break;
		case 15:
			var parquedelosvenados = require('estaciones/parquedelosvenados').parquedelosvenados;
			navController.open(new parquedelosvenados(navController));
			break;
		case 16:
			var zapata = require('estaciones/zapata').zapata;
			navController.open(new zapata(navController));
			break;
		case 17:
			var hospital20 = require('estaciones/hospital20').hospital20;
			navController.open(new hospital20(navController));
			break;
		case 18:
			var insurgentessur = require('estaciones/insurgentessur').insurgentessur;
			navController.open(new insurgentessur(navController));
			break;
		case 19:
			var mixcoac = require('estaciones/mixcoac').mixcoac;
			navController.open(new mixcoac(navController));
			break;

		
		}//end switch
	});//end addEventListener
win1.add(table);
return win1;
};